QGIS Application - Bug report #2230
Vertex markers are displayed in Print Composer
2009-12-09 10:49 AM - dr -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 12290
Description

Vertex markers are displayed at Print Composer.

History

#1 - 2009-12-09 10:54 AM - Giovanni Manghi

Just toggle editing off and then use the "update preview" in the composer. Not enough?

#2 - 2009-12-09 11:00 AM - dr -

Replying to [comment:1 lutra]:

Just toggle editing off and then use the "update preview" in the composer. Not enough?

Of course, but it's not user friendly. | guess that Print Composer need to do it.

#3 - 2009-12-09 11:07 AM - Giovanni Manghi

Replying to [comment:2 dr]:

| guess that Print Composer need to do it.

So, do you suggest the print composer to toggle editing off (with a warning? without?) if you are adding to the layout a map being edited?

| don't like the idea either, but it's just my opinion.

Nevertheless | see this more like a enhancement request or a minor bug, after all an there is an easy "workaround".

#4 - 2009-12-09 11:13 AM - dr -

Replying to [comment:3 lutra]:

Replying to [comment:2 dr]:
| guess that Print Composer need to do it.

So, do you suggest the print composer to toggle editing off (with a warning? without?) if you are adding to the layout a map being edited?

I don't like the idea either, but it's just my opinion.

Nevertheless | see this more like a enhancement request or a minor bug, after all an there is an easy "workaround".

| think that Print Composer need to turn off displaying vertex markers only, not to toggle editing off.

#5 - 2011-03-23 04:43 AM - sunilkcube -

- Status changed from Open to In Progress

#6 - 2011-03-25 03:57 AM - sunilkcube -

Patch was added , Can anyone review and give comments here ?

#7 - 2011-03-25 04:09 AM - Marco Hugentobler

- Status changed from In Progress to Open

#8 - 2011-03-25 03:42 PM - Marco Hugentobler

- Status changed from Open to Closed
- Resolution set to fixed

Applied in commit:3d9e4144 (SVN r15607). Thanks!

#9 - 2011-03-25 11:28 PM - dr -
- Resolution deleted (fixed)
- Status changed from Closed to Feedback

In commit:3d9e4144 (SVN r15607) bug still present.

#10 - 2011-03-26 08:49 AM - Alexander Bruy

Confirmed on Windows with QGIS 1.7 commit:3d9e4144 (SVN r15607) from OSGeo4W. But on Linux with commit:35a5f55b (SVN r15608) all fine

#11 - 2011-03-31 12:45 AM - dr -

Confirme bug in trunk commit:48900197 (SVN r15611) on Linux.

#12 - 2011-04-15 12:40 PM - Alexander Bruy

Confirmed in commit:98d612f2 (SVN r15707) both Windows and Linux
#13 - 2011-04-16 01:51 AM - Alexander Bruy

More info on this bug. If editing enabled before adding layers in Map Composer or in Overview Map then vertex markers are visible. But if | first add layer
to the Overview Map or to Composer Map, and then enable editing - vertexes are not shown
#14 - 2011-07-12 02:33 AM - Alister Hood

Do you guys really still have this problem?

It works fine for me now (in trunk on Windows).

#15 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#16 - 2011-12-26 05:35 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

Alexander Bruy wrote:

But if I first add layer to the Overview Map or to Composer Map, and then enable editing - vertexes are not shown

But anyway when you will hit "update preview" in the compser the vertex markers will show.

Not sure what was the behavior before applying the patch, and what is the expected after applying it. Marco can you leave feedback?

#17 - 2012-04-16 06:22 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#18 - 2012-07-16 10:04 PM - Alister Hood

Alister Hood wrote:

Do you guys really still have this problem?

It works fine for me now (in trunk on Windows).

Actually, no. It doesn't work fine for me on either Windows or Linux. But the problem is only with layers using new symbology.

#19 - 2012-09-04 12:01 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#20 - 2013-02-02 05:58 PM - Patrick Dunford

Don't think much of the comment about toggling the layers out of edit mode.

| often have 10 or 12 layers in editing all at once. it is very slow to turn them all off just to do one little piece of a map, and then go through and turn them all
back on to edit again. Considering that Qgis takes a few seconds to toggle the editing state of each layer and you have to do each one in turn.

#21 - 2013-03-21 10:10 AM - Antonio Locandro

Just had this problem yesterday on QGIS Master running on Ubuntu, took me at least an hour to figure out | had to toggle editing off. Although it could be

seen as a minor problem this issue brings problems for me to suggest replacing other software with QGIS as other software have the ability to print without

toggling editing.

#22 - 2014-04-06 06:02 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#23 - 2014-06-01 11:28 PM - Nyall Dawson

| don't see this behavior in current master anymore. Can anyone confirm that this bug can be closed now?

#24 - 2014-06-02 04:24 AM - Nathan Woodrow
- Status changed from Feedback to Closed
- Resolution set to fixed/implemented

Doesn't happen in master anymore.
